print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cannedHudFile = "Paletten/hud_fill_canned.dds"
	local cannedHudFileSmall = "Paletten/hud_fill_canned_smal.dds"
	
    local cannedFilType = g_fillTypeManager:addFillType("CANNED", g_i18n:getText("canned"), true, pricebeer * 2.7, 0.00045, math.rad(10), cannedHudFile, cannedHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascanned=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascanned=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CANNED" then
		hascanned=true
	end;
		
end;

		if hasmaize and not hascanned then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CANNED")
		local price = g_fillTypeManager:getFillTypeByName("CANNED").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CANNED")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)